aim4.msg.v2i

## Class Request.Proposal

- java.lang.Object
- - aim4.msg.v2i.Request.Proposal

- Enclosing class:
    Request

      public static class Request.Proposal
      extends Object

  A proposal

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request.Proposal(int arrivalLaneID, int departureLaneID, double arrivalTime, double arrivalVelocity, double maxTurnVelocity)` Create a proposal.
    `Request.Proposal(Request.Proposal p)` Create a copy of a given proposal.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArrivalLaneID()` Get the lane ID number for the Lane in which the vehicle would like to arrive at the intersection.
    `double` | `getArrivalTime()` Get the time at which the vehicle wants to arrive at the intersection.
    `double` | `getArrivalVelocity()` Get the velocity at which the vehicle wants to arrive at the intersection.
    `int` | `getDepartureLaneID()` Get the ID number for the Lane in which the vehicle would like to depart the intersection.
    `double` | `getMaximumTurnVelocity()` Get the requesting vehicle's maximum velocity for this pair of arrival and departure lanes.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Request.Proposal

          public Request.Proposal(int arrivalLaneID,
                          int departureLaneID,
                          double arrivalTime,
                          double arrivalVelocity,
                          double maxTurnVelocity)

      Create a proposal.
      Parameters:
        `arrivalLaneID` - the ID of the arrival lane
        `departureLaneID` - the ID of the departure lane
        `arrivalTime` - the arrival time
        `arrivalVelocity` - the arrival velocity
        `maxTurnVelocity` - the maximum turn velocity

    - #### Request.Proposal

          public Request.Proposal(Request.Proposal p)

      Create a copy of a given proposal.
      Parameters:
        `p` - the given proposal

  - ### Method Detail

    - #### getArrivalLaneID

          public int getArrivalLaneID()

      Get the lane ID number for the Lane in which the vehicle would like to arrive at the intersection.
      Returns:
        the lane ID number for the Lane in which the vehicle would like to arrive at the intersection

    - #### getDepartureLaneID

          public int getDepartureLaneID()

      Get the ID number for the Lane in which the vehicle would like to depart the intersection.
      Returns:
        the ID number for the Lane in which the vehicle would like to depart the intersection

    - #### getArrivalTime

          public double getArrivalTime()

      Get the time at which the vehicle wants to arrive at the intersection.
      Returns:
        the time at which the vehicle wants to arrive at the intersection

    - #### getArrivalVelocity

          public double getArrivalVelocity()

      Get the velocity at which the vehicle wants to arrive at the intersection.
      Returns:
        the velocity at which the vehicle wants to arrive at the intersection

    - #### getMaximumTurnVelocity

          public double getMaximumTurnVelocity()

      Get the requesting vehicle's maximum velocity for this pair of arrival and departure lanes.
      Returns:
        the requesting vehicle's maximum velocity for this pair of arrival and departure lanes

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All rights reserved.